Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class RestoreDBInstanceFromDBSnapshotRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.rds.model.RestoreDBInstanceFromDBSnapshotRequest

    public class RestoreDBInstanceFromDBSnapshotRequest

extends AmazonWebServiceRequest

Container for the parameters to the `RestoreDBInstanceFromDBSnapshot operation`.

This API creates a new DB Instance to an arbitrary point-in-time. Users can restore to any point in time before the latestRestorableTime for up to backupRetentionPeriod days. The target database is created from the source database with the same configuration as the original database except that the DB instance is created with the default DB security group.

See Also:
  `AmazonRDS.restoreDBInstanceFromDBSnapshot(RestoreDBInstanceFromDBSnapshotRequest)`

Constructor Summary
`RestoreDBInstanceFromDBSnapshotRequest()`

Method Summary
`String` | `getAvailabilityZone()` The EC2 Availability Zone that the database instance will be created in.
`String` | `getDBInstanceClass()` The compute and memory capacity of the Amazon RDS DB instance.
`String` | `getDBInstanceIdentifier()` The identifier for the DB Snapshot to restore from.
`String` | `getDBSnapshotIdentifier()` Name of the DB Instance to create from the DB Snapshot.
`Boolean` | `getMultiAZ()` Returns the value of the MultiAZ property for this object.
`Integer` | `getPort()` The port number on which the database accepts connections.
`Boolean` | `isMultiAZ()` Returns the value of the MultiAZ property for this object.
`void` | `setAvailabilityZone(String availabilityZone)` The EC2 Availability Zone that the database instance will be created in.
`void` | `setDBInstanceClass(String dBInstanceClass)` The compute and memory capacity of the Amazon RDS DB instance.
`void` | `setDBInstanceIdentifier(String dBInstanceIdentifier)` The identifier for the DB Snapshot to restore from.
`void` | `setDBSnapshotIdentifier(String dBSnapshotIdentifier)` Name of the DB Instance to create from the DB Snapshot.
`void` | `setMultiAZ(Boolean multiAZ)` Sets the value of the MultiAZ property for this object.
`void` | `setPort(Integer port)` The port number on which the database accepts connections.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`RestoreDBInstanceFromDBSnapshotRequest` | `withAvailabilityZone(String availabilityZone)` The EC2 Availability Zone that the database instance will be created in.
`RestoreDBInstanceFromDBSnapshotRequest` | `withDBInstanceClass(String dBInstanceClass)` The compute and memory capacity of the Amazon RDS DB instance.
`RestoreDBInstanceFromDBSnapshotRequest` | `withDBInstanceIdentifier(String dBInstanceIdentifier)` The identifier for the DB Snapshot to restore from.
`RestoreDBInstanceFromDBSnapshotRequest` | `withDBSnapshotIdentifier(String dBSnapshotIdentifier)` Name of the DB Instance to create from the DB Snapshot.
`RestoreDBInstanceFromDBSnapshotRequest` | `withMultiAZ(Boolean multiAZ)` Sets the value of the MultiAZ property for this object.
`RestoreDBInstanceFromDBSnapshotRequest` | `withPort(Integer port)` The port number on which the database accepts connections.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RestoreDBInstanceFromDBSnapshotRequest

    public RestoreDBInstanceFromDBSnapshotRequest()

Method Detail

### getDBInstanceIdentifier

    public String getDBInstanceIdentifier()

  The identifier for the DB Snapshot to restore from.

  Returns:
    The identifier for the DB Snapshot to restore from.

### setDBInstanceIdentifier

    public void setDBInstanceIdentifier(String dBInstanceIdentifier)

  The identifier for the DB Snapshot to restore from.

  Parameters:
    `dBInstanceIdentifier` - The identifier for the DB Snapshot to restore from.

### withDBInstanceIdentifier

    public RestoreDBInstanceFromDBSnapshotRequest withDBInstanceIdentifier(String dBInstanceIdentifier)

  The identifier for the DB Snapshot to restore from.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBInstanceIdentifier` - The identifier for the DB Snapshot to restore from.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDBSnapshotIdentifier

    public String getDBSnapshotIdentifier()

  Name of the DB Instance to create from the DB Snapshot. This parameter isn't case sensitive.

  Returns:
    Name of the DB Instance to create from the DB Snapshot. This parameter isn't case sensitive.

### setDBSnapshotIdentifier

    public void setDBSnapshotIdentifier(String dBSnapshotIdentifier)

  Name of the DB Instance to create from the DB Snapshot. This parameter isn't case sensitive.

  Parameters:
    `dBSnapshotIdentifier` - Name of the DB Instance to create from the DB Snapshot. This parameter isn't case sensitive.

### withDBSnapshotIdentifier

    public RestoreDBInstanceFromDBSnapshotRequest withDBSnapshotIdentifier(String dBSnapshotIdentifier)

  Name of the DB Instance to create from the DB Snapshot. This parameter isn't case sensitive.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBSnapshotIdentifier` - Name of the DB Instance to create from the DB Snapshot. This parameter isn't case sensitive.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDBInstanceClass

    public String getDBInstanceClass()

  The compute and memory capacity of the Amazon RDS DB instance.

  Returns:
    The compute and memory capacity of the Amazon RDS DB instance.

### setDBInstanceClass

    public void setDBInstanceClass(String dBInstanceClass)

  The compute and memory capacity of the Amazon RDS DB instance.

  Parameters:
    `dBInstanceClass` - The compute and memory capacity of the Amazon RDS DB instance.

### withDBInstanceClass

    public RestoreDBInstanceFromDBSnapshotRequest withDBInstanceClass(String dBInstanceClass)

  The compute and memory capacity of the Amazon RDS DB instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBInstanceClass` - The compute and memory capacity of the Amazon RDS DB instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPort

    public Integer getPort()

  The port number on which the database accepts connections.

  Returns:
    The port number on which the database accepts connections.

### setPort

    public void setPort(Integer port)

  The port number on which the database accepts connections.

  Parameters:
    `port` - The port number on which the database accepts connections.

### withPort

    public RestoreDBInstanceFromDBSnapshotRequest withPort(Integer port)

  The port number on which the database accepts connections.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `port` - The port number on which the database accepts connections.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAvailabilityZone

    public String getAvailabilityZone()

  The EC2 Availability Zone that the database instance will be created in.

  Returns:
    The EC2 Availability Zone that the database instance will be created in.

### setAvailabilityZone

    public void setAvailabilityZone(String availabilityZone)

  The EC2 Availability Zone that the database instance will be created in.

  Parameters:
    `availabilityZone` - The EC2 Availability Zone that the database instance will be created in.

### withAvailabilityZone

    public RestoreDBInstanceFromDBSnapshotRequest withAvailabilityZone(String availabilityZone)

  The EC2 Availability Zone that the database instance will be created in.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `availabilityZone` - The EC2 Availability Zone that the database instance will be created in.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isMultiAZ

    public Boolean isMultiAZ()

  Returns the value of the MultiAZ property for this object.

  Returns:
    The value of the MultiAZ property for this object.

### setMultiAZ

    public void setMultiAZ(Boolean multiAZ)

  Sets the value of the MultiAZ property for this object.

  Parameters:
    `multiAZ` - The new value for the MultiAZ property for this object.

### withMultiAZ

    public RestoreDBInstanceFromDBSnapshotRequest withMultiAZ(Boolean multiAZ)

  Sets the value of the MultiAZ property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `multiAZ` - The new value for the MultiAZ property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMultiAZ

    public Boolean getMultiAZ()

  Returns the value of the MultiAZ property for this object.

  Returns:
    The value of the MultiAZ property for this object.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.